export interface ProgressBarTokens {
    percent: number;
    [name: string]: string | number;
}
export declare class ProgressBar {
    private readonly formatParts;
    private readonly maxWidth;
    private readonly stream;
    private tokens;
    constructor(format: string, maxWidth?: number);
    private cursorTo;
    private clearLine;
    update(tokens: ProgressBarTokens, force?: boolean): void;
    log(message: any): void;
    clear(): void;
}
