"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const partHashStateKey = (part) => {
    return `${part}.parthash`;
};
exports.loadPartHash = (ctx, part) => __awaiter(this, void 0, void 0, function* () {
    return yield ctx.readState(partHashStateKey(part));
});
exports.savePartHash = (ctx, part, hash) => __awaiter(this, void 0, void 0, function* () {
    yield ctx.writeState(partHashStateKey(part), hash);
});
//# sourceMappingURL=state.js.map